> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read member account

>  

This endpoint allows you to read the attributes of an `account` resource.


## OpenAPI

````yaml openapi/platform-api/v20250224.yaml GET /users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.


    ## What's Changed?


    Several endpoints, headers, and fields changed in `v20250224`. For more on
    breaking changes, refer to our
    [versioning](/api-reference/platform-api/overview/versioning#v20250224) and
    [migration](/api-reference/platform-api/overview/migration) guides.


    ## Version Header

    Versions are set in the `Accept-Version` header of API requests. Version
    numbers correspond with the date associated with that version.  The example
    below uses the version `v20250224`.


    ```

    -H 'Accept: application/json'

    -H 'Accept-Version: v20250224'

    ```


    ---
  title: MX Platform API
  version: '20250224'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: accounts
    description: >
      The Accounts endpoints represent a user's checking, savings, mortgage,
      401(k), or other types of accounts held by a financial institution.


      An account belongs to a `member`, which represents the user's overall
      relationship with a particular financial institution. A checking account
      may be just one part of a larger relationship that could also include a
      car loan and a savings account.


      Accounts—and the transactions associated with them—are updated every 24
      hours, unless the associated `user` is disabled.


      You can also create manual accounts. Since a manual account has no
      credentials tied to the member, the account will never aggregate or
      include data from a data feed. All manual accounts are automatically
      created under the Manual Institution member.
  - name: ach return
    description: >
      The features documented here are in a beta state, and this documentation
      is considered draft material subject to frequent change.


      Using our Platform API, you can securely submit ACH Returns to reduce your
      ACH return rates and automate your ACH return process.


      You can query the status and outcomes of your submitted ACH returns to
      track progress and access resolution details.
  - name: budgets
    description: >
      Use these endpoints to create and manage budgets for your end users.


      You can create a budget for a specific category or autogenerate a budget
      for several categories based on existing transactions.


      Each budget has a `category_guid`, relating to one of the
      [categories](docs.mx.com/api-reference/platform-api/reference/categories#default-categories-and-subcategories).
  - name: categories
    description: >
      A `transaction` can have its `category` set to one of MX’s default
      categories or a custom category for a specific `user`. 


      See [Default Categories and
      Subcategories](docs.mx.com/api-reference/platform-api/reference/categories#default-categories-and-subcategories)
      for a complete list.
  - name: deprecated
  - name: goals
    description: >
      Use these endpoints to create and manage goals for a `user`. You can also
      reposition goals to adjust their priority levels.


      Every goal has a track type and a meta type.


      The [track
      type](docs.mx.com/api-reference/platform-api/reference/goals/#goal-track-type)
      is the overall classification of the goal (debt, savings, retirement, or
      emergency fund) while the [meta
      type](docs.mx.com/api-reference/platform-api/reference/goals/#goal-meta-type)
      is the specific classification (like college, house, vacation, and so on).
  - name: insights
    description: >
      Use these endpoints to build customizable user experiences in UIs powered
      by our Financial Insights data.


      With Financial Insights, your users will receive personalized insights
      based on their transaction history.


      Want to learn more about the product? See [Financial
      Insights](docs.mx.com/products/experience/insights).


      Looking for a guide to use these endpoints? See [Build Your Own Insights
      UI](docs.mx.com/products/experience/insights/integration-guides/insights-api-guide).
  - name: institutions
    description: >
      Institutions represent a financial institution.


      A single real-world financial institution may have several `institution`
      objects on the MX platform.


      For example, the mortgage division of a financial institution might use a
      separate system than its everyday banking division, which is different
      from its credit card division.


      For more info, see [Institutions
      Overview](docs.mx.com/api-reference/reference/institutions).
  - name: investment holdings
    description: >
      Investment Data Enhancement lets you connect to an end user's financial
      institution and retrieve cleansed and enhanced investment data. By
      combining investment data with retail banking information, you get
      comprehensive insights into customer financial behaviors, risk tolerance,
      and investment strategies.


      You can [read a user's
      holding](docs.mx.com/api-reference/platform-api/reference/read-holding),
      [list all their
      holdings](docs.mx.com/api-reference/platform-api/reference/list-holdings),
      or list their holdings by
      [account](docs.mx.com/api-reference/platform-api/reference/list-holdings-by-account)
      or
      [member](docs.mx.com/api-reference/platform-api/reference/list-holdings-by-member).


      You can also [deactivate a
      user](docs.mx.com/api-reference/platform-api/reference/deactivate-user)
      from the Investment Data Enhancement. This is non-billable.
  - name: managed data
  - name: members
    description: >
      Members represent the connection between an end user and a financial
      institution. This institution may represent your institution or another
      one from which MX is aggregating data.


      For more info, see [Members
      Overview](docs.mx.com/api-reference/reference/members).
  - name: merchants
    description: >
      Merchants are representations of a transaction’s origin. For example, if
      you buy a coffee at Starbucks, the transaction merchant will be
      `Starbucks`.


      Use the `merchant_guid` and a `merchant_location_guidon` any `transaction`
      object to access Merchant endpoints for details like the merchant’s name,
      logo URL, website, street address, and more.
  - name: microdeposits
    description: >
      Microdeposits is an additional verification method that allows you to
      verify account details and navigate the process of using microdeposits and
      the automated clearing house (ACH) system. 


      Make two, small ACH deposits into a consumer's account using the provided
      account and routing number. You can then require that the end user confirm
      the exact amount of each deposit to verify that they own the account and
      meet NACHA’s account verification.


      For more info, including process flows, setting block lists, and more, see
      [Microdeposits](docs.mx.com/products/connectivity/microdeposits).
  - name: monthly cash flow profile
  - name: notifications
    description: >
      You can only use notifications endpoints if you’re using the MX mobile
      application.


      All notifications created through the API will be of notification type
      `API_NOTIFICATION`, channel `PUSH`, and will not be associated to an
      entity. No other channels are supported.


      The read and list endpoints can return any notification associated with
      the `user`, including notifications created by MX for other channels
      besides `PUSH`.
  - name: processor token
  - name: rewards
  - name: spending plan
    description: >
      Use the Spending Plan endpoints to create your own version of our
      [Spending Plan
      Widget](docs.mx.com/products/experience/pfm/legacy-widget-overviews/spending-plan),
      which helps end users track their spending throughout the month.


      To understand key terms and how to best use these endpoints, see [Build
      Your Own Spending Plan
      UI](docs.mx.com/products/experience/pfm/integration-guides/build-your-own-spending-plan-ui).
  - name: statements
    description: >
      With Statements, you can retrieve a user's monthly account statements in
      PDF format. This data can be used for solutions like personal financial
      management or risk analysis.
  - name: taggings
    description: >
      Tags and taggings are two resources in the MX Platform API that, when used
      together, give end users more control over organizing their transactions. 


      A tag is a custom label that can be applied to a transaction.


      After you create a tag, use it for tagging. This means you should actually
      apply the tag to a particular transaction.


      Together, they're a powerful tool for personalization, customization, and
      money management.


      For a guide on creating a tag and then applying it to a specific
      transaction with a tagging, see [Custom Tags and
      Taggings](docs.mx.com/products/experience/pfm/integration-guides/personalization/).
  - name: tags
    description: >
      Tags and taggings are two resources in the MX Platform API that, when used
      together, give end users more control over organizing their transactions. 


      A tag is a custom label that can be applied to a transaction.


      After you create a tag, use it for tagging. This means you should actually
      apply the tag to a particular transaction.


      Together, they're a powerful tool for personalization, customization, and
      money management.


      For a guide on creating a tag and then applying it to a specific
      transaction with a tagging, see [Custom Tags and
      Taggings](docs.mx.com/products/experience/pfm/integration-guides/personalization/).
  - name: transaction rules
    description: >
      Transaction Rules allow users to automatically recategorize or rename all
      similar transactions according to their preferences. This only applies to
      future transactions.


      When recategorizing or renaming a transaction, the user will be asked
      whether they want the new data to apply to the selected transaction or to
      all future transactions. If they choose to apply it to all future
      transactions, it will create a transaction rule which will automatically
      apply the changes going forward.
  - name: transactions
    description: >
      Transactions represent any instance in which money moves into or out of an
      account. This could be a purchase at a business, a payroll deposit, a
      transfer from one account to another, an ATM withdrawal, and so on.


      Transactions are created automatically when a member is successfully
      aggregated.


      Each `transaction` belongs to only one `account`.


      For more info, see [Transactions
      Overview](docs.mx.com/api-reference/reference/transactions).
  - name: users
    description: >
      Users represent an end user using the Platform API through your web or
      mobile app.


      Users are created by MX clients and belong to a specific
      [client](docs.mx.com/products/connectivity/overview/data-architecture/#clients)
      on the platform.
  - name: verifiable credentials
    description: >
      MX provides Verifiable Credential endpoints that comply with web5
      standards. 


      For more info, see [Verifiable Credentials
      Overview](docs.mx.com/api-reference/reference/verifiable-credentials).
  - name: widgets
    description: >
      Use the [Request Widget
      URL](docs.mx.com/api-reference/platform-api/reference/request-widget-url)
      endpoint to generate a URL that loads one of our widgets.


      Many request body parameters only work for some widgets.


      For more info, including widget types, see [Widgets
      Overview](docs.mx.com/api-reference/reference/widgets).
paths:
  /users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}:
    get:
      tags:
        - accounts
      summary: Read member account
      description: >-
        This endpoint allows you to read the attributes of an `account`
        resource.
      operationId: readAccountByMember
      parameters:
        - $ref: '#/components/parameters/acceptVersion'
        - $ref: '#/components/parameters/accountIdentifier'
        - $ref: '#/components/parameters/memberIdentifier'
        - $ref: '#/components/parameters/userIdentifier'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponseBody'
          description: OK
components:
  parameters:
    acceptVersion:
      name: Accept-Version
      in: header
      required: true
      schema:
        type: string
        default: v20250224
        example: v20250224
      description: MX Platform API version.
    accountIdentifier:
      description: >-
        Use either the account `id` you defined or the MX-defined account
        `guid`. See [MX-Defined GUIDs vs IDs Defined by
        You](/products/connectivity/overview/held-data/#mx-defined-guids-vs-ids-defined-by-you).
      in: path
      required: true
      name: account_identifier
      schema:
        type: string
    memberIdentifier:
      description: >-
        Use either the member `id` you defined or the MX-defined member `guid`.
        See [MX-Defined GUIDs vs IDs Defined by
        You](/products/connectivity/overview/held-data/#mx-defined-guids-vs-ids-defined-by-you).
      name: member_identifier
      in: path
      required: true
      schema:
        type: string
    userIdentifier:
      description: >-
        Use either the user `id` you defined or the MX-defined user `guid`. See
        [MX-Defined GUIDs vs IDs Defined by
        You​](/products/connectivity/overview/held-data/#mx-defined-guids-vs-ids-defined-by-you).
      in: path
      required: true
      name: user_identifier
      schema:
        type: string
  schemas:
    AccountResponseBody:
      properties:
        account:
          $ref: '#/components/schemas/AccountResponse'
      type: object
    AccountResponse:
      properties:
        account_number:
          description: >-
            The account number associated with the account. This will typically
            be a masked or partial account number.
          example: '3331261'
          type: string
          nullable: true
        account_ownership:
          description: >-
            The type of ownership associated with the account. `NULL` is
            returned if not received in the data feed.
          example: INDIVIDUAL
          nullable: true
          type: string
          enum:
            - UNKNOWN
            - INDIVIDUAL
            - JOINT
            - MULTIPLE
            - null
        annuity_policy_to_date:
          description: The date until which the policy is in effect.
          example: '2025-12-31'
          nullable: true
          type: string
        annuity_provider:
          description: The provider of the insurance policy.
          example: Metlife
          nullable: true
          type: string
        annuity_term_year:
          description: >-
            The effective duration of an insurance policy (one year, five years,
            etc.).
          example: 30
          nullable: true
          type: integer
        apr:
          description: The annual percentage rate associated with the `account`.
          example: 1
          nullable: true
          type: number
        apy:
          description: The annual percentage yield associated with the `account`.
          example: 2.35
          nullable: true
          type: number
        available_balance:
          description: >
            The balance that is available for use in asset accounts like
            checking and savings.


            `PENDING` transactions are typically (not always) taken into account
            with the available balance.


            `available_balance` will usually be a positive value for all account
            types, determined in the same way as the balance field.
          example: 1000
          type: number
          nullable: true
        available_credit:
          description: >
            The amount of credit available for use in liability accounts like
            credit cards and lines of credit.


            `PENDING` transactions are typically (not always) taken into account
            with available credit.


            `available_credit` will usually be a positive value for all account
            types, determined in the same way as the `balance` field.
          example: 4000
          nullable: true
          type: number
        balance:
          description: >
            The current balance of the account.


            `PENDING` transactions are typically not taken into account with the
            current balance, but this may not always be the case.
                
            The balance will usually be a positive value for all account types.
            Asset-type accounts (`CHECKING`, `SAVINGS`, `INVESTMENT`) may have a
            negative balance if they are in overdraft.


            Debt-type accounts (`CREDIT_CARD`, `LOAN`, `LINE_OF_CREDIT`,
            `MORTGAGE`) may have a negative balance if they are overpaid.
          example: 1000
          type: number
          nullable: true
        cash_balance:
          description: The cash balance of the `account`.
          example: 2500
          nullable: true
          type: number
        cash_surrender_value:
          description: >-
            The sum of money paid to the policyholder or annuity holder in the
            event the policy is voluntarily terminated before it matures, or the
            insured event occurs.
          example: 1000
          type: number
          nullable: true
        created_at:
          description: >-
            The date and time the account was created, represented in ISO 8601
            format with a timestamp.
          example: '2025-02-13T18:08:00+00:00'
          nullable: false
          type: string
        credit_limit:
          description: The credit limit associated with the `account`.
          example: 5000
          nullable: true
          type: number
        currency_code:
          description: The three-character ISO 4217 currency code, for example, `USD`.
          example: USD
          nullable: true
          type: string
        day_payment_is_due:
          description: >-
            The day of the month the payment is due. For example, the 14th is
            passed as `14`.
          example: 14
          nullable: true
          type: integer
        death_benefit:
          description: >-
            The amount paid to the beneficiary of the account upon death of the
            account owner.
          example: 1000
          nullable: true
          type: integer
        federal_insurance_status:
          description: >
            The federal insurance status of the account. Indicates whether the
            account is insured by the FDIC (banks) or NCUA (credit unions).


            Returns an integer (`UNKNOWN_INSURED` = 0, `INSURED` = 1,
            `NOT_INSURED` = 2).
          example: INSURED
          nullable: true
          type: string
          enum:
            - UNKNOWN_INSURED
            - INSURED
            - NOT_INSURED
        guid:
          description: Unique identifier for the account. Defined by MX.
          example: ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1
          nullable: true
          type: string
        id:
          description: The unique partner-defined identifier for the account.
          example: '1040434698'
          nullable: true
          type: string
        imported_at:
          description: >-
            The date and time at which the `account` was last successfully
            aggregated and received data.
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        interest_rate:
          description: The interest rate associated with the account.
          example: 3.25
          nullable: true
          type: number
        institution_code:
          description: The code identifying a financial institution.
          example: 3af3685e-05d9-7060-359f-008d0755e993
          nullable: true
          type: string
        insured_name:
          description: The name of the insured person.
          example: Tommy Shelby
          nullable: true
          type: string
        is_closed:
          description: >-
            Indicates whether an account has been closed. Closed accounts will
            no longer update balance or transaction information.
          example: false
          type: boolean
        is_hidden:
          description: >-
            Indicates whether the account is hidden. Hidden accounts can still
            have an active balance and receive transactions. Defaults to
            `false`.
          example: false
          nullable: true
          type: boolean
        is_manual:
          description: >-
            Indicates whether the transaction was manually created or belongs to
            a manual account.
          example: false
          nullable: true
          type: boolean
        last_payment:
          description: The amount of the most recent payment on the `account`.
          example: 100
          nullable: true
          type: number
        last_payment_at:
          description: >-
            The date and time when the last payment was made, represented in ISO
            8601 format with a timestamp.
          example: '2023-07-25T17:14:46Z'
          nullable: true
          type: string
        loan_amount:
          description: The amount of the loan associated with the `account`.
          example: 1000
          nullable: true
          type: number
        margin_balance:
          description: >-
            Represents the amount of debt the investor owes to the broker for
            the use of margin. It can be positive or negative, depending on the
            performance of the investments made with the borrowed funds. A
            positive margin balance indicates that the securities purchased on
            margin have increased in value, whereas a negative margin balance
            signifies that the securities have decreased in value.
          example: 1000
          nullable: true
          type: number
        matures_on:
          description: The date on which the `account` matures.
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        member_guid:
          description: The unique identifier for the member. Defined by MX.
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          nullable: true
          type: string
        member_id:
          description: >-
            The unique, partner-defined, identifier for the member associated
            with this `account`.
          example: member123
          nullable: true
          type: string
        member_is_managed_by_user:
          description: >-
            This indicates whether the member is managed by the user or the MX
            partner. Members created with the managed member feature will have
            this field set to `false`.
          example: false
          nullable: true
          type: boolean
        metadata:
          description: Additional information you stored about the `account`.
          example: some metadata
          nullable: true
          type: string
        minimum_balance:
          description: The minimum balance associated with the `account`.
          example: 100
          nullable: true
          type: number
        minimum_payment:
          description: >-
            The minimum payment required for an account. This can apply to any
            debt account.
          example: 10
          nullable: true
          type: number
        name:
          description: The human-readable name for the resource.
          example: Test account 2
          nullable: true
          type: string
        nickname:
          description: An alternate name for the `account`.
          example: My Checking
          nullable: true
          type: string
        original_balance:
          description: >-
            The original balance associated with the `account`. This will always
            be positive.
          example: 10
          nullable: true
          type: number
        pay_out_amount:
          description: >-
            The amount paid out to the insured individual or beneficiary under
            the conditions of the insurance policy.
          example: 10
          nullable: true
          type: number
        payment_due_at:
          description: The date and time at which the next payment is due on the `account`.
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        payoff_balance:
          description: >-
            The payoff balance for a debt `account`. This will normally be a
            positive number.
          example: 10
          nullable: true
          type: number
        premium_amount:
          description: The insurance policy's premium amount.
          example: 1
          nullable: true
          type: number
        property_type:
          description: >-
            Subtype if the account type is `PROPERTY`. This field should be
            ignored unless the type is set to PROPERTY.
          example: VEHICLE
          nullable: true
          type: string
          enum:
            - APPLIANCES
            - ART
            - COMPUTER
            - ELECTRONICS
            - FURNITURE
            - JEWELRY
            - MISCELLANEOUS
            - REAL_ESTATE
            - SPORTS_EQUIPMENT
            - VEHICLE
        routing_number:
          description: The routing number for the `account`.
          example: '68899990000000'
          nullable: true
          type: string
        started_on:
          description: The date on which the loan from a debt account started.
          example: '2025-10-13T17:57:37.000Z'
          nullable: true
          type: string
        statement_balance:
          description: The balance at the end of the account's last statement period.
          example: 1000.5
          nullable: true
          type: number
        subtype:
          description: >-
            The account's subtype, for example, `PLAN_401_K`, `MONEY_MARKET`, or
            `HOME_EQUITY`. Each subtype belongs to an account `type`. For a full
            list of account subtypes and types, see
            [Accounts](/api-reference/platform-api/reference/accounts).
          example: MONEY_MARKET
          nullable: true
          type: string
        today_ugl_amount:
          description: The unrealized gain/loss amount for the day for the account.
          example: 1000.5
          nullable: true
          type: number
        today_ugl_percentage:
          description: The unrealized gain/loss percentage for the date for the account.
          example: 6.9
          nullable: true
          type: number
        total_account_value:
          description: >-
            The sum of the long and short positions, the sweep account and/or
            cash balance, and any margin debt associated with a particular
            account. This amount includes the market value of all positions held
            in the account and is reduced by any debit balance and the amount of
            short options positions that are "in the money". This may sum to a
            negative value, and it does not represent an account balance.
          example: 1
          nullable: true
          type: number
        total_account_value_ugl:
          description: >-
            The unrealized gains and losses represent the amount the account has
            gained or lost based on the purchase price. This is calculated by
            subtracting the purchase price from the current market value. It
            does not affect the account until the positions are sold and
            "realized". This may sum to a negative value, and it does not
            represent an account balance.
          example: 1
          nullable: true
          type: number
        type:
          description: The type of account. Some account types may include subtypes.
          example: CHECKING
          nullable: true
          type: string
          enum:
            - ANY
            - CASH
            - CHECKING
            - CHECKING_LINE_OF_CREDIT
            - CREDIT_CARD
            - LOAN
            - LINE_OF_CREDIT
            - SAVINGS
            - INVESTMENT
            - MORTGAGE
            - INSURANCE
            - PREPAID
            - PROPERTY
        updated_at:
          description: >
            The date and time the resource was last updated in ISO 8601 format
            with a timestamp.


            For categories, this field will always be `null` when `is_default`
            is `true`.
          example: '2025-02-13T18:09:00+00:00'
          nullable: true
          type: string
        user_guid:
          description: The unique identifier for the user. Defined by MX.
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
        user_id:
          description: The unique partner-defined identifier for the user.
          example: u-1234
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
      description: >
        The MX Platform API requires basic access authentication using your
        `client_id` and `api_key`. These credentials must be Base64 encoded and
        included in the Authorization header of each API request to ensure
        secure access.


        Here's an example using curl to access `v20250224`. Replace
        `https://int-api.mx.com/endpoint` with the actual API endpoint you wish
        to access and your Base64 encoded `client_id` and `api_key`.


        ```

        curl -L -X POST `https://int-api.mx.com/endpoint' \

        -H 'Content-Type: application/json' \

        -H 'Accept: application/json' \

        -H 'Accept-Version: v20250224'

        -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

        ```

````